	//----------TEffortDetail开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TEffortDetail 
        /// </summary>
		[Table("TEffortDetail")]
        public partial class TEffortDetail: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("StageID")]   
				[DataMember]  
			    public string StageID  {get;set;}   
                                /// <summary>
                /// TEffort表主键
                /// </summary>    
				
				[Display(Name="TEffort表主键")]   
								[Column("EffortID")]   
				[DataMember]  
			    public string EffortID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("No")]   
				[DataMember]  
			    public int? No  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Date")]   
				[DataMember]  
			    public string Date  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Register")]   
				[DataMember]  
			    public string Register  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Content")]   
				[DataMember]  
			    public string Content  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Hours")]   
				[DataMember]  
			    public decimal? Hours  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Target")]   
				[DataMember]  
			    public string Target  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Product")]   
				[DataMember]  
			    public string Product  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Project")]   
				[DataMember]  
			    public string Project  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TEffortDetail 
            /// </summary>
            public class TEffortDetailMap : EntityTypeConfiguration<TEffortDetail>
			{
                public TEffortDetailMap()
                {
					this.ToTable("TEffortDetail");
												this.HasKey(t => t.ID);
													 this.Property(t => t.StageID).HasColumnName("StageID").IsRequired();
													 this.Property(t => t.EffortID).HasColumnName("EffortID");
													 this.Property(t => t.No).HasColumnName("No");
													 this.Property(t => t.Date).HasColumnName("Date");
													 this.Property(t => t.Register).HasColumnName("Register");
													 this.Property(t => t.Content).HasColumnName("Content");
													 this.Property(t => t.Hours).HasColumnName("Hours");
													 this.Property(t => t.Target).HasColumnName("Target");
													 this.Property(t => t.Product).HasColumnName("Product");
													 this.Property(t => t.Project).HasColumnName("Project");
										}
			}**/

	}

	//----------TEffortDetail结束----------

	